repo/gentoo:master commit in: dev-python/pyzotero/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785988186.fa1987a372fc77ef001e48963cc942ec756b53b7.mgorny@gentoo>
commit:     fa1987a372fc77ef001e48963cc942ec756b53b7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  6 03:49:46 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 03:49:46 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa1987a3

dev-python/pyzotero: Bump to 1.13.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyzotero/Manifest               |  2 ++
 dev-python/pyzotero/pyzotero-1.13.4.ebuild | 49 ++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/pyzotero/Manifest b/dev-python/pyzotero/Manifest
index df1d072f49ef..1275665cd981 100644
--- a/dev-python/pyzotero/Manifest
+++ b/dev-python/pyzotero/Manifest
@@ -1,2 +1,4 @@
 DIST pyzotero-1.13.3.tar.gz 555857 BLAKE2B 78adb4f5cc82c21dd059a882befa4db62f5f5cabe46f0751e6acce6fa8e7bd6bd630c07194a96b1d2efa61b1f29660def2a99cf5f5d500ed0a29c18508bf9e00 SHA512 c87cc8f8cfedc2ef34b0296478660f9c1c85740a5d028a22298f7c360d1c104042a9da598546f2271ea8811235d6459043ae976401821d28b22d196748f8dbb6
 DIST pyzotero-1.13.3.tar.gz.provenance 9935 BLAKE2B caa2d26ba7e5c09675c25101c7eeb834172f6272b0f40b968ac6a85067a73ce7b0db5ef107e1ac8768c521da0a055ae3340e1f04bdb7f6bbc51a5b733d4020fa SHA512 89b3b61f690867581a2a9a518767f087e840c3ee368acfa1d9f2f31fe725e855a6d46badcf14f2a752592e91a786430ee86fcbcaa73bbeeb3e5cc72e6aff46aa
+DIST pyzotero-1.13.4.tar.gz 556682 BLAKE2B de55729058752bbbe4770c5653db342b07a25b31347ca42c07ec96aedfb5af7aa02e34bbcfdd76758f8339c0904410bc8315fd8bb381ca3e0df9e489a9e6b0b9 SHA512 d5f404d9e3883f21781e5e401404d9e3629a0c9ed9cb6ec161b58771829419ffe14605ecb4136834095faceec6616f70b2ffb360fd86ea7a7a50df2fa2f2d512
+DIST pyzotero-1.13.4.tar.gz.provenance 9645 BLAKE2B c0b00fb4545e220ed391a0b8ba308418cd118e078f84da09d2eeb3adee7a81f25e3e45ba386950adc71f17eca3af781f406a30652a6a5767f89ebf41c9092f4e SHA512 ddc33fca74221554b3be39d3c5be512feb5ce0d457dbb7259020c13fcddefe5e116fa395843e3a24da9127c5d512f9b430c2760a76d8b422a7db1314401e58a0

diff --git a/dev-python/pyzotero/pyzotero-1.13.4.ebuild b/dev-python/pyzotero/pyzotero-1.13.4.ebuild
new file mode 100644
index 000000000000..43581ec70ba7
--- /dev/null
+++ b/dev-python/pyzotero/pyzotero-1.13.4.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=uv-build
+PYPI_VERIFY_REPO=https://github.com/urschrei/pyzotero
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python client for the Zotero API"
+HOMEPAGE="
+	https://github.com/urschrei/pyzotero/
+	https://pypi.org/project/pyzotero/
+"
+
+LICENSE="BlueOak-1.0.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	app-text/zotero-bin
+	<dev-python/bibtexparser-2[${PYTHON_USEDEP}]
+	>=dev-python/bibtexparser-1.4.3[${PYTHON_USEDEP}]
+	>=dev-python/feedparser-6.0.12[${PYTHON_USEDEP}]
+	>=dev-python/httpx-0.28.1[${PYTHON_USEDEP}]
+	>=dev-python/whenever-0.8.8[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	>=dev-python/trove-classifiers-2024.7.2[${PYTHON_USEDEP}]
+	test? (
+		dev-python/ipython[${PYTHON_USEDEP}]
+		>=dev-python/pytz-2025.2[${PYTHON_USEDEP}]
+		dev-python/python-dateutil[${PYTHON_USEDEP}]
+		>=dev-python/tzdata-2025.2[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_sphinx doc \
+	dev-python/sphinx-rtd-theme
+EPYTEST_PLUGINS=( pytest-asyncio )
+distutils_enable_tests pytest
+
+python_test() {
+	> tests/__init__.py || die
+	epytest -o addopts=
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.